Skip to navigation

Update a testimonial

View as Markdown
Update testimonial details

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory
entryIdstringRequiredformat: "uuid"
id of the Partner entry
testimonialIdstringRequiredformat: "uuid"
id of the Testimonial

Request

This endpoint expects an object.
authorNamestringOptional1-100 characters
positionstringOptional1-100 characters
companyNamestringOptional1-100 characters
testimonialTextstringOptional1-2000 characters
orderintegerOptional>=0

Response

Successful operation
authorNamestring<=100 characters
positionstring<=100 characters
companyNamestring<=100 characters
testimonialTextstring<=2000 characters
idstringformat: "uuid"
orderintegerOptional>=0

Errors

404
Not Found Error